%define name 	gospy-applet
%define version 0.5.3
%define release 1mdk

Summary: 	Web and server monitoring applet
Name: 		%name
Version: 	%version
Release: 	%release
Url: 		http://gospy-applet.labs.libre-entreprise.org/
License: 	GPL
Group: 		Graphical desktop/GNOME
Source: 	http://labs.libre-entreprise.org/download/gospy-applet/%{name}-%{version}.tar.bz2

Buildroot: 	%_tmppath/%name-%version-buildroot
BuildRequires:	ImageMagick pkgconfig GConf2
BuildRequires:	libpanel-applet-devel libglade2.0-devel libgnome-vfs2-devel
Requires(post):	GConf2
Requires(post): scrollkeeper
Requires(preun):GConf2
Requires(postun):scrollkeeper

%description
gospy-applet is a GNOME 2 applet monitoring Web pages and servers. It detects
changes in page content, page status, page size, page loading time, IP
address, and so on.

%prep
%setup -q

%build
%configure2_5x --with-gconf-schema-file-dir=$RPM_BUILD_ROOT/%_sysconfdir/gconf --with-gconf-source=$RPM_BUILD_ROOT/%_sysconfdir/gconf
%make

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
rm -fr $RPM_BUILD_ROOT/var/lib/scrollkeeper
%find_lang %name

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gospy_applet.schemas > /dev/null
scrollkeeper-update

%preun
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/gospy_applet.schemas > /dev/null

%postun
scrollkeeper-update

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS ChangeLog README NEWS THANKS
%_bindir/%name
%_sysconfdir/gconf/schemas/*
%_libdir/bonobo/servers/*
%_datadir/gnome-2.0/ui/*
%_datadir/gnome/help/%name
%_datadir/%name
%_datadir/omf/%name
%_datadir/pixmaps/*

%changelog
* Mon Aug 29 2005 Austin Acton <austin@mandriva.org> 0.5.3-1mdk
- New release 0.5.3
- scrollkeeper

* Thu Aug 25 2005 Austin Acton <austin@mandriva.org> 0.5.2-1mdk
- New release 0.5.2

* Sun Dec 12 2004 Austin Acton <austin@mandrake.org> 0.5.1-1mdk
- 0.5.1
- source URL

* Sat Oct 23 2004 Jerome Soyer <saispo@mandrake.org> 0.5.0-1mdk
- 0.5.0

* Sun Oct 10 2004 Austin Acton <austin@mandrake.org> 0.4.1-1mdk
- 0.4.1

* Sat Jul 10 2004 Austin Acton <austin@mandrake.org> 0.4.0-1mdk
- initial package

